// headlines //

@mixin headline45 {
    font-family: 'Raleway';
    font-size: 45px;
    font-style: normal;
    font-weight: 600;
    line-height: 115%;
    letter-spacing: -0.45px;
    font-variant-numeric: lining-nums proportional-nums;
}

@mixin headline36 {
    font-family: 'Raleway';
    font-size: 36px;
    font-style: normal;
    font-weight: 600;
    line-height: 125%;
    letter-spacing: -0.36px;
    font-variant-numeric: lining-nums proportional-nums;
}

@mixin headline30 {
    font-family: 'Raleway';
    font-size: 30px;
    font-style: normal;
    font-weight: 600;
    line-height: 125%; 
    letter-spacing: -0.3px;
    font-variant-numeric: lining-nums proportional-nums;
}

@mixin headline24 {
    font-family: 'Raleway';
    font-size: 24px;
    font-style: normal;
    font-weight: 600;
    line-height: 125%; 
    letter-spacing: -0.24px;
    font-variant-numeric: lining-nums proportional-nums;
}

// texts //

@mixin text18 {
    font-family: 'Raleway';
    font-size: 18px;
    font-style: normal;
    font-weight: 700;
    line-height: 135%;
    font-variant-numeric: lining-nums proportional-nums;
}

@mixin text16 {
    font-family: 'Raleway';
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 150%;
    font-variant-numeric: lining-nums proportional-nums; 
}

@mixin text16sb {
    font-family: 'Raleway';
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    line-height: 150%;
}

@mixin text16b {
    font-family: 'Raleway';
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
    line-height: 150%;
    font-variant-numeric: lining-nums proportional-nums; 
}

@mixin text14 {
    font-family: 'Raleway';
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 150%;
    font-variant-numeric: lining-nums proportional-nums; 
}


@mixin mainButton {
    font-family: 'Raleway';
    font-size: 14px;
    font-style: normal;
    font-weight: 600;
    line-height: 100%;
    padding: 12px 20px;
    color: $white;
    background-color: $blueJeans;
    border-radius: 25px;
    display: flex;
    align-items: center;
    gap: 7px;

    &:hover {
        background-color: $moonstone;
    }
}

@mixin arrowButton {
    display: flex;
    align-items: center;
    gap: 7px;
    font-family: 'Raleway';
    font-size: 14px;
    font-style: normal;
    font-weight: 700;
    line-height: 100%;
    color: $blueJeans;

    span {
        &:first-child {
            @include hideText;
            -webkit-line-clamp: 1;
        }
    }

    &:hover {
        color: $moonstone;
        
        svg {
            path {
                stroke: $moonstone;
            }
        }
    }
}

@mixin hideText {
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
}

